Subject: Re: [PATCH net-next v5 0/6] net/sched: cls_api: Support hardware miss to tc action

From: Vlad Buslov <[email-masked]>
Date: Sat, 28 Jan 2023 17:12:12 +0200

On Sat 28 Jan 2023 at 10:59, Vlad Buslov <[email-masked]> wrote:
> On Sat 28 Jan 2023 at 00:18, Jakub Kicinski <[email-masked]> wrote:
>> On Sat, 28 Jan 2023 00:16:40 -0800 Jakub Kicinski wrote:
>>> On Wed, 25 Jan 2023 17:32:12 +0200 Paul Blakey wrote:
>>> > This series adds support for hardware miss to instruct tc to continue execution
>>> > in a specific tc action instance on a filter's action list. The mlx5 driver patch
>>> > (besides the refactors) shows its usage instead of using just chain restore.
>>> > 
>>> > Currently a filter's action list must be executed all together or
>>> > not at all as driver are only able to tell tc to continue executing from a
>>> > specific tc chain, and not a specific filter/action.
>>> > 
>>> > This is troublesome with regards to action CT, where new connections should
>>> > be sent to software (via tc chain restore), and established connections can
>>> > be handled in hardware.  
>>> 
>>> I'll mark this as Deferred - would be great if Red Hat OvS offload
>>> folks and/or another vendor and/or Jamal gave their acks.
>>
>> Ignore that, it's already Changes Requested.. 🤷️
>
> Hmm I'm looking at patchwork.kernel.org/project/netdevbpf and the series
> state is "New". Is there some other tool for this? Also, since I didn't
> receive any other replies to this series, where can I check the
> requested changes? Sorry if I'm missing something obvious here.

Sorry, what I was missing is my morning coffee so confused this series
with V5 of my UDP NEW change 🤦